---
title: llarp::rpc::required

---

# llarp::rpc::required



 [More...](#detailed-description)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[required](Classes/structllarp_1_1rpc_1_1required.md#function-required)**(T & ref) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| T & | **[value](Classes/structllarp_1_1rpc_1_1required.md#variable-value)**  |

## Detailed Description

```cpp
template <typename T >
struct llarp::rpc::required;
```

## Public Functions Documentation

### function required

```cpp
inline required(
    T & ref
)
```


## Public Attributes Documentation

### variable value

```cpp
T & value;
```


-------------------------------

Updated on 2023-02-01 at 20:39:32 +0000